# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(File/Slurp.pm) perl(IO/Handle.pm) perl(ImVirt.pm) perl(MIME/Lite.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%add_findreq_skiplist %{perl_vendor_privlib}/ImVirt/VMD/*
BuildRequires: perl(Module/Find.pm)
Name:       imvirt
Summary:    Detects several virtualizations
Version:    0.9.5
Release:    alt1_2
URL:        http://micky.ibh.net/~liske/imvirt.html
Source0:    http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
License:    GPLv2+
Group:      File tools
Requires:   dmidecode
BuildRequires: perl(ExtUtils/MakeMaker.pm)
ExclusiveArch: %{ix86} x86_64 ia64
Source44: import.info

%description
This little Perl script tries to detect if it is called from within 
a virtualization container. This is detected by looking for well known boot 
messages, directories and reading DMI (Desktop Management Interface) data.

The following containers are detected:

    * Virtual PC/Virtual Server
    * VirtualBox
    * VMware
    * QEMU/KVM (experimental)
    * Xen (para and non-para virtualized)
    * OpenVZ/Virtuozzo
    * UML
    * any HVM providing CPUID 0x40000000 detection
    * lguest
    * ARAnyM
    * LXC

%prep
%setup -q -c %{name}-%{version}

%build
%configure --prefix=%{_prefix} --libexec=%{_libexecdir}/imvirt
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{perl_vendorarch}/auto/ImVirt/.packlist
rm $RPM_BUILD_ROOT%{perl_vendor_archlib}/perllocal.pod

%check
#make check

%files
%{_sbindir}/imvirt-report
%{_bindir}/*
%dir %{_libexecdir}/imvirt
%{_libexecdir}/imvirt/*
%doc AUTHORS COPYING ChangeLog README
%{_mandir}/man1/*.1*
%{perl_vendor_privlib}/*

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.5-alt1_2
- update to new release by fcimport

* Thu Feb 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.5-alt1_1
- initial fc import

